<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<span class="title">
  {{appTitle}}
</span>
<div class="attachment-list">
  <app-attachment-control
    (appDownloadAttachment)="appDownload.emit(att?.id)"
    *ngFor="let att of appAttachments"
    [appEditableTags]="false"
    [appHideNotUsedTags]="true"
    [appIsDownloadable]="true"
    [appIsSelectable]="false"
    [appTagList]="appTagList"
    [appValue]="att"
    class="attachment-list--control">
  </app-attachment-control>
  <span *ngIf="appAttachments?.length <= 0"
        class="attachment-list--placeholder">{{"details.attachments.noResult" | translate}}</span>
</div>
